import {
  snGenerationMethodList,
  serialNumberTypeList,
  serialNumberPositionList,
} from '@/views/book/courseware/data/common';

// 排列方式
export const arrangeTypeList = [
  { value: 'horizontal', label: '横排' },
  { value: 'vertical', label: '竖屏' },
];

export function getSelectData() {
  return {
    type: 'select',
    title: '选择',
    property: {
      serial_number: 1, // 序号
      sn_type: serialNumberTypeList[0].value, // 序号类型：letter字母 number数字  capital大写字母 bracket_number括号数字
      sn_position: serialNumberPositionList[0].value, // 序号位置：top-start top top-end，left-start left left-end等
      sn_generation_method: snGenerationMethodList[0].value, // 序号生成方式：recalculate重新计算 follow跟随
      arrange_method: arrangeTypeList[0].value, // 查看方式：independent独立 list列表 icon图标
    },
  };
}
